summaryrefslogtreecommitdiff
path: root/tests
diff options
context:
space:
mode:
Diffstat (limited to 'tests')
-rwxr-xr-xtests/glcpp-test7
1 files changed, 4 insertions, 3 deletions
diff --git a/tests/glcpp-test b/tests/glcpp-test
index 022a236712..ba398af0d5 100755
--- a/tests/glcpp-test
+++ b/tests/glcpp-test
@@ -2,8 +2,9 @@
for test in *.c; do
echo "Testing $test"
- ../glcpp < $test > $test.out
+ ../glcpp < $test > $test.glcpp
+ grep -v '^$' < $test.glcpp > $test.out || true
gcc -E $test -o $test.gcc
- grep -v '^#' < $test.gcc > $test.expected
- diff -B -u $test.expected $test.out
+ grep -v '^#' < $test.gcc | grep -v '^$' > $test.expected || true
+ diff -u $test.expected $test.out
done